%global debug_package %{nil}

Name: python-aiosignal
Epoch: 100
Version: 1.2.0
Release: 1%{?dist}
BuildArch: noarch
Summary: Manage callbacks in asyncio projects
License: Apache-2.0
URL: https://github.com/aio-libs/aiosignal/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
Click is a Python package for creating command line interfaces in a
composable way with as little code as necessary. It's the "Command Line
Interface Creation Kit". It is configurable, and comes with defaults out
of the box.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-aiosignal
Summary: Manage callbacks in asyncio projects
Requires: python3
Requires: python3-frozenlist >= 1.1.0
Provides: python3-aiosignal = %{epoch}:%{version}-%{release}
Provides: python3dist(aiosignal) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-aiosignal = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(aiosignal) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-aiosignal = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(aiosignal) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-aiosignal
Signal is a list of registered asynchronous callbacks.

%files -n python%{python3_version_nodots}-aiosignal
%license LICENSE
%{python3_sitelib}/aiosignal*
%endif

%if !(0%{?suse_version} > 1500)
%package -n python3-aiosignal
Summary: Manage callbacks in asyncio projects
Requires: python3
Requires: python3-frozenlist >= 1.1.0
Provides: python3-aiosignal = %{epoch}:%{version}-%{release}
Provides: python3dist(aiosignal) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-aiosignal = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(aiosignal) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-aiosignal = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(aiosignal) = %{epoch}:%{version}-%{release}

%description -n python3-aiosignal
Signal is a list of registered asynchronous callbacks.

%files -n python3-aiosignal
%license LICENSE
%{python3_sitelib}/aiosignal*
%endif

%changelog
